Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.RevocationArrayInfo Class Reference

## Public Member Functions
| RevocationArrayInfo ()
| Constructor.
| RevocationArrayInfo (java.util.ArrayList< byte[]> ocsp_array, java.util.ArrayList< byte[]> crl_array)
| Constructor, with parameters. More...
| RevocationArrayInfo (RevocationArrayInfo other)
| Constructor, with another revocation array information object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
java.util.ArrayList< byte[]> | getCrl_array ()
| Get an array of CRL response content. More...
java.util.ArrayList< byte[]> | getOcsp_array ()
| Get an array of OCSP response content. More...
void | set (java.util.ArrayList< byte[]> ocsp_array, java.util.ArrayList< byte[]> crl_array)
| Set value. More...
void | setCrl_array (java.util.ArrayList< byte[]> value)
| Set an array of CRL response content. More...
void | setOcsp_array (java.util.ArrayList< byte[]> value)
| Set an array of OCSP response content. More...

## Detailed Description

This class represents information in array type of revocation information.

## Constructor & Destructor Documentation

## ◆ RevocationArrayInfo() [1/2]

com.foxit.sdk.pdf.RevocationArrayInfo.RevocationArrayInfo | ( | java.util.ArrayList< byte[]> | ocsp_array,
|  | java.util.ArrayList< byte[]> | crl_array
| ) |  |

Constructor, with parameters.

Parameters

  [in] | ocsp_array | An array of OCSP response content.
  [in] | crl_array | An array of CRL response content.

## ◆ RevocationArrayInfo() [2/2]

com.foxit.sdk.pdf.RevocationArrayInfo.RevocationArrayInfo | ( | RevocationArrayInfo | other | ) |

Constructor, with another revocation array information object.

Parameters

  [in] | other | Another revocation array information object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.RevocationArrayInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getCrl_array()

com.foxit.sdk.pdf.RevocationArrayInfo.getCrl_array | ( |  | ) |

Get an array of CRL response content.

Returns
  An array of CRL response content.

## ◆ getOcsp_array()

com.foxit.sdk.pdf.RevocationArrayInfo.getOcsp_array | ( |  | ) |

Get an array of OCSP response content.

Returns
  An array of OCSP response content.

## ◆ set()

void com.foxit.sdk.pdf.RevocationArrayInfo.set | ( | java.util.ArrayList< byte[]> | ocsp_array,
|  | java.util.ArrayList< byte[]> | crl_array
| ) |  |

Set value.

Parameters

  [in] | ocsp_array | An array of OCSP response content.
  [in] | crl_array | An array of CRL response content.

Returns
  None.

## ◆ setCrl_array()

com.foxit.sdk.pdf.RevocationArrayInfo.setCrl_array | ( | java.util.ArrayList< byte[]> | value | ) |

Set an array of CRL response content.

Parameters

  [in] | value | An array of CRL response content.

Returns
  None.

## ◆ setOcsp_array()

com.foxit.sdk.pdf.RevocationArrayInfo.setOcsp_array | ( | java.util.ArrayList< byte[]> | value | ) |

Set an array of OCSP response content.

Parameters

  [in] | value | An array of OCSP response content.

Returns
  None.